<!-- includes/common/debug_console.inc -->
<script type="text/javascript">
<!--
var _quicty_debug_console;

function print_con(string)
{ldelim}
	_quicty_debug_console.document.writeln(string);
{rdelim}

function set_css()
{ldelim}
	print_con('<style type="text/css">');
	print_con('h2 {ldelim}');
	print_con('padding-left: 5px;');
	print_con('border-left: 10px solid #000;');
	print_con('border-bottom: 1px solid #000;');
	print_con('{rdelim}');
	print_con('dl {ldelim}');
	print_con('border-bottom: 1px solid #ccc;');
	print_con('{rdelim}');
	print_con('dt {ldelim}');
	print_con('font-weight: bold;');
	print_con('{rdelim}');
	print_con('');
	print_con('<\/style>');
{rdelim}

function display_console()
{ldelim}
	_quicty_debug_console = window.open("",'Debug Condole',"width=700,height=600,top=50,left=500,resizable,scrollbars=yes");
	print_con('<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">');
	print_con('<html>');
	print_con('<head>');
	print_con('<title>Quicty Debug Console<\/title>');
	set_css();
	print_con('<\/head>');
	print_con('<body>');
	print_con('<h1>Quicty Debug Console<\/h1>');	


{include file='includes/common/debug_system_var.inc' title='Quicty' var=$system_var title_bg='#cccccc'}

{if count($debug_var)>0}
{foreach from=$debug_var item="var" key="key"}
	{include file='includes/common/debug_var.inc' title=$key var=$var}
{/foreach}
{/if}

{include file='includes/common/debug_system_var.inc' title='Server' var=$smarty.server title_bg='#d2b48c'}
{include file='includes/common/debug_system_var.inc' title='POST' var=$smarty.post title_bg='#d2b48c'}
{include file='includes/common/debug_system_var.inc' title='Cookie' var=$smarty.cookies title_bg='#d2b48c'}
{include file='includes/common/debug_var.inc' title='Session' var=$smarty.session}

	print_con('<\/body>');
	print_con('<\/html>');
	_quicty_debug_console.document.close();
{rdelim}

display_console();
//-->
</script>
<!-- /includes/common/debug_console.inc -->

